'use strict';

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
const bundledLanguagesInfo = [
  {
    "id": "abap",
    "name": "ABAP",
    "import": () => import('./langs/abap.js')
  },
  {
    "id": "actionscript-3",
    "name": "ActionScript",
    "import": () => import('./langs/actionscript-3.js')
  },
  {
    "id": "ada",
    "name": "Ada",
    "import": () => import('./langs/ada.js')
  },
  {
    "id": "angular-html",
    "name": "Angular HTML",
    "import": () => import('./langs/angular-html.js')
  },
  {
    "id": "angular-ts",
    "name": "Angular TypeScript",
    "import": () => import('./langs/angular-ts.js')
  },
  {
    "id": "apache",
    "name": "Apache Conf",
    "import": () => import('./langs/apache.js')
  },
  {
    "id": "apex",
    "name": "Apex",
    "import": () => import('./langs/apex.js')
  },
  {
    "id": "apl",
    "name": "APL",
    "import": () => import('./langs/apl.js')
  },
  {
    "id": "applescript",
    "name": "AppleScript",
    "import": () => import('./langs/applescript.js')
  },
  {
    "id": "ara",
    "name": "Ara",
    "import": () => import('./langs/ara.js')
  },
  {
    "id": "asciidoc",
    "name": "AsciiDoc",
    "aliases": [
      "adoc"
    ],
    "import": () => import('./langs/asciidoc.js')
  },
  {
    "id": "asm",
    "name": "Assembly",
    "import": () => import('./langs/asm.js')
  },
  {
    "id": "astro",
    "name": "Astro",
    "import": () => import('./langs/astro.js')
  },
  {
    "id": "awk",
    "name": "AWK",
    "import": () => import('./langs/awk.js')
  },
  {
    "id": "ballerina",
    "name": "Ballerina",
    "import": () => import('./langs/ballerina.js')
  },
  {
    "id": "bat",
    "name": "Batch File",
    "aliases": [
      "batch"
    ],
    "import": () => import('./langs/bat.js')
  },
  {
    "id": "beancount",
    "name": "Beancount",
    "import": () => import('./langs/beancount.js')
  },
  {
    "id": "berry",
    "name": "Berry",
    "aliases": [
      "be"
    ],
    "import": () => import('./langs/berry.js')
  },
  {
    "id": "bibtex",
    "name": "BibTeX",
    "import": () => import('./langs/bibtex.js')
  },
  {
    "id": "bicep",
    "name": "Bicep",
    "import": () => import('./langs/bicep.js')
  },
  {
    "id": "blade",
    "name": "Blade",
    "import": () => import('./langs/blade.js')
  },
  {
    "id": "c",
    "name": "C",
    "import": () => import('./langs/c.js')
  },
  {
    "id": "cadence",
    "name": "Cadence",
    "aliases": [
      "cdc"
    ],
    "import": () => import('./langs/cadence.js')
  },
  {
    "id": "clarity",
    "name": "Clarity",
    "import": () => import('./langs/clarity.js')
  },
  {
    "id": "clojure",
    "name": "Clojure",
    "aliases": [
      "clj"
    ],
    "import": () => import('./langs/clojure.js')
  },
  {
    "id": "cmake",
    "name": "CMake",
    "import": () => import('./langs/cmake.js')
  },
  {
    "id": "cobol",
    "name": "COBOL",
    "import": () => import('./langs/cobol.js')
  },
  {
    "id": "codeowners",
    "name": "CODEOWNERS",
    "import": () => import('./langs/codeowners.js')
  },
  {
    "id": "codeql",
    "name": "CodeQL",
    "aliases": [
      "ql"
    ],
    "import": () => import('./langs/codeql.js')
  },
  {
    "id": "coffee",
    "name": "CoffeeScript",
    "aliases": [
      "coffeescript"
    ],
    "import": () => import('./langs/coffee.js')
  },
  {
    "id": "common-lisp",
    "name": "Common Lisp",
    "aliases": [
      "lisp"
    ],
    "import": () => import('./langs/common-lisp.js')
  },
  {
    "id": "coq",
    "name": "Coq",
    "import": () => import('./langs/coq.js')
  },
  {
    "id": "cpp",
    "name": "C++",
    "aliases": [
      "c++"
    ],
    "import": () => import('./langs/cpp.js')
  },
  {
    "id": "crystal",
    "name": "Crystal",
    "import": () => import('./langs/crystal.js')
  },
  {
    "id": "csharp",
    "name": "C#",
    "aliases": [
      "c#",
      "cs"
    ],
    "import": () => import('./langs/csharp.js')
  },
  {
    "id": "css",
    "name": "CSS",
    "import": () => import('./langs/css.js')
  },
  {
    "id": "csv",
    "name": "CSV",
    "import": () => import('./langs/csv.js')
  },
  {
    "id": "cue",
    "name": "CUE",
    "import": () => import('./langs/cue.js')
  },
  {
    "id": "cypher",
    "name": "Cypher",
    "aliases": [
      "cql"
    ],
    "import": () => import('./langs/cypher.js')
  },
  {
    "id": "d",
    "name": "D",
    "import": () => import('./langs/d.js')
  },
  {
    "id": "dart",
    "name": "Dart",
    "import": () => import('./langs/dart.js')
  },
  {
    "id": "dax",
    "name": "DAX",
    "import": () => import('./langs/dax.js')
  },
  {
    "id": "desktop",
    "name": "Desktop",
    "import": () => import('./langs/desktop.js')
  },
  {
    "id": "diff",
    "name": "Diff",
    "import": () => import('./langs/diff.js')
  },
  {
    "id": "docker",
    "name": "Dockerfile",
    "aliases": [
      "dockerfile"
    ],
    "import": () => import('./langs/docker.js')
  },
  {
    "id": "dotenv",
    "name": "dotEnv",
    "import": () => import('./langs/dotenv.js')
  },
  {
    "id": "dream-maker",
    "name": "Dream Maker",
    "import": () => import('./langs/dream-maker.js')
  },
  {
    "id": "edge",
    "name": "Edge",
    "import": () => import('./langs/edge.js')
  },
  {
    "id": "elixir",
    "name": "Elixir",
    "import": () => import('./langs/elixir.js')
  },
  {
    "id": "elm",
    "name": "Elm",
    "import": () => import('./langs/elm.js')
  },
  {
    "id": "emacs-lisp",
    "name": "Emacs Lisp",
    "aliases": [
      "elisp"
    ],
    "import": () => import('./langs/emacs-lisp.js')
  },
  {
    "id": "erb",
    "name": "ERB",
    "import": () => import('./langs/erb.js')
  },
  {
    "id": "erlang",
    "name": "Erlang",
    "aliases": [
      "erl"
    ],
    "import": () => import('./langs/erlang.js')
  },
  {
    "id": "fennel",
    "name": "Fennel",
    "import": () => import('./langs/fennel.js')
  },
  {
    "id": "fish",
    "name": "Fish",
    "import": () => import('./langs/fish.js')
  },
  {
    "id": "fluent",
    "name": "Fluent",
    "aliases": [
      "ftl"
    ],
    "import": () => import('./langs/fluent.js')
  },
  {
    "id": "fortran-fixed-form",
    "name": "Fortran (Fixed Form)",
    "aliases": [
      "f",
      "for",
      "f77"
    ],
    "import": () => import('./langs/fortran-fixed-form.js')
  },
  {
    "id": "fortran-free-form",
    "name": "Fortran (Free Form)",
    "aliases": [
      "f90",
      "f95",
      "f03",
      "f08",
      "f18"
    ],
    "import": () => import('./langs/fortran-free-form.js')
  },
  {
    "id": "fsharp",
    "name": "F#",
    "aliases": [
      "f#",
      "fs"
    ],
    "import": () => import('./langs/fsharp.js')
  },
  {
    "id": "gdresource",
    "name": "GDResource",
    "import": () => import('./langs/gdresource.js')
  },
  {
    "id": "gdscript",
    "name": "GDScript",
    "import": () => import('./langs/gdscript.js')
  },
  {
    "id": "gdshader",
    "name": "GDShader",
    "import": () => import('./langs/gdshader.js')
  },
  {
    "id": "genie",
    "name": "Genie",
    "import": () => import('./langs/genie.js')
  },
  {
    "id": "gherkin",
    "name": "Gherkin",
    "import": () => import('./langs/gherkin.js')
  },
  {
    "id": "git-commit",
    "name": "Git Commit Message",
    "import": () => import('./langs/git-commit.js')
  },
  {
    "id": "git-rebase",
    "name": "Git Rebase Message",
    "import": () => import('./langs/git-rebase.js')
  },
  {
    "id": "gleam",
    "name": "Gleam",
    "import": () => import('./langs/gleam.js')
  },
  {
    "id": "glimmer-js",
    "name": "Glimmer JS",
    "aliases": [
      "gjs"
    ],
    "import": () => import('./langs/glimmer-js.js')
  },
  {
    "id": "glimmer-ts",
    "name": "Glimmer TS",
    "aliases": [
      "gts"
    ],
    "import": () => import('./langs/glimmer-ts.js')
  },
  {
    "id": "glsl",
    "name": "GLSL",
    "import": () => import('./langs/glsl.js')
  },
  {
    "id": "gnuplot",
    "name": "Gnuplot",
    "import": () => import('./langs/gnuplot.js')
  },
  {
    "id": "go",
    "name": "Go",
    "import": () => import('./langs/go.js')
  },
  {
    "id": "graphql",
    "name": "GraphQL",
    "aliases": [
      "gql"
    ],
    "import": () => import('./langs/graphql.js')
  },
  {
    "id": "groovy",
    "name": "Groovy",
    "import": () => import('./langs/groovy.js')
  },
  {
    "id": "hack",
    "name": "Hack",
    "import": () => import('./langs/hack.js')
  },
  {
    "id": "haml",
    "name": "Ruby Haml",
    "import": () => import('./langs/haml.js')
  },
  {
    "id": "handlebars",
    "name": "Handlebars",
    "aliases": [
      "hbs"
    ],
    "import": () => import('./langs/handlebars.js')
  },
  {
    "id": "haskell",
    "name": "Haskell",
    "aliases": [
      "hs"
    ],
    "import": () => import('./langs/haskell.js')
  },
  {
    "id": "haxe",
    "name": "Haxe",
    "import": () => import('./langs/haxe.js')
  },
  {
    "id": "hcl",
    "name": "HashiCorp HCL",
    "import": () => import('./langs/hcl.js')
  },
  {
    "id": "hjson",
    "name": "Hjson",
    "import": () => import('./langs/hjson.js')
  },
  {
    "id": "hlsl",
    "name": "HLSL",
    "import": () => import('./langs/hlsl.js')
  },
  {
    "id": "html",
    "name": "HTML",
    "import": () => import('./langs/html.js')
  },
  {
    "id": "html-derivative",
    "name": "HTML (Derivative)",
    "import": () => import('./langs/html-derivative.js')
  },
  {
    "id": "http",
    "name": "HTTP",
    "import": () => import('./langs/http.js')
  },
  {
    "id": "hxml",
    "name": "HXML",
    "import": () => import('./langs/hxml.js')
  },
  {
    "id": "hy",
    "name": "Hy",
    "import": () => import('./langs/hy.js')
  },
  {
    "id": "imba",
    "name": "Imba",
    "import": () => import('./langs/imba.js')
  },
  {
    "id": "ini",
    "name": "INI",
    "aliases": [
      "properties"
    ],
    "import": () => import('./langs/ini.js')
  },
  {
    "id": "java",
    "name": "Java",
    "import": () => import('./langs/java.js')
  },
  {
    "id": "javascript",
    "name": "JavaScript",
    "aliases": [
      "js"
    ],
    "import": () => import('./langs/javascript.js')
  },
  {
    "id": "jinja",
    "name": "Jinja",
    "import": () => import('./langs/jinja.js')
  },
  {
    "id": "jison",
    "name": "Jison",
    "import": () => import('./langs/jison.js')
  },
  {
    "id": "json",
    "name": "JSON",
    "import": () => import('./langs/json.js')
  },
  {
    "id": "json5",
    "name": "JSON5",
    "import": () => import('./langs/json5.js')
  },
  {
    "id": "jsonc",
    "name": "JSON with Comments",
    "import": () => import('./langs/jsonc.js')
  },
  {
    "id": "jsonl",
    "name": "JSON Lines",
    "import": () => import('./langs/jsonl.js')
  },
  {
    "id": "jsonnet",
    "name": "Jsonnet",
    "import": () => import('./langs/jsonnet.js')
  },
  {
    "id": "jssm",
    "name": "JSSM",
    "aliases": [
      "fsl"
    ],
    "import": () => import('./langs/jssm.js')
  },
  {
    "id": "jsx",
    "name": "JSX",
    "import": () => import('./langs/jsx.js')
  },
  {
    "id": "julia",
    "name": "Julia",
    "aliases": [
      "jl"
    ],
    "import": () => import('./langs/julia.js')
  },
  {
    "id": "kotlin",
    "name": "Kotlin",
    "aliases": [
      "kt",
      "kts"
    ],
    "import": () => import('./langs/kotlin.js')
  },
  {
    "id": "kusto",
    "name": "Kusto",
    "aliases": [
      "kql"
    ],
    "import": () => import('./langs/kusto.js')
  },
  {
    "id": "latex",
    "name": "LaTeX",
    "import": () => import('./langs/latex.js')
  },
  {
    "id": "lean",
    "name": "Lean 4",
    "aliases": [
      "lean4"
    ],
    "import": () => import('./langs/lean.js')
  },
  {
    "id": "less",
    "name": "Less",
    "import": () => import('./langs/less.js')
  },
  {
    "id": "liquid",
    "name": "Liquid",
    "import": () => import('./langs/liquid.js')
  },
  {
    "id": "log",
    "name": "Log file",
    "import": () => import('./langs/log.js')
  },
  {
    "id": "logo",
    "name": "Logo",
    "import": () => import('./langs/logo.js')
  },
  {
    "id": "lua",
    "name": "Lua",
    "import": () => import('./langs/lua.js')
  },
  {
    "id": "luau",
    "name": "Luau",
    "import": () => import('./langs/luau.js')
  },
  {
    "id": "make",
    "name": "Makefile",
    "aliases": [
      "makefile"
    ],
    "import": () => import('./langs/make.js')
  },
  {
    "id": "markdown",
    "name": "Markdown",
    "aliases": [
      "md"
    ],
    "import": () => import('./langs/markdown.js')
  },
  {
    "id": "marko",
    "name": "Marko",
    "import": () => import('./langs/marko.js')
  },
  {
    "id": "matlab",
    "name": "MATLAB",
    "import": () => import('./langs/matlab.js')
  },
  {
    "id": "mdc",
    "name": "MDC",
    "import": () => import('./langs/mdc.js')
  },
  {
    "id": "mdx",
    "name": "MDX",
    "import": () => import('./langs/mdx.js')
  },
  {
    "id": "mermaid",
    "name": "Mermaid",
    "aliases": [
      "mmd"
    ],
    "import": () => import('./langs/mermaid.js')
  },
  {
    "id": "mipsasm",
    "name": "MIPS Assembly",
    "aliases": [
      "mips"
    ],
    "import": () => import('./langs/mipsasm.js')
  },
  {
    "id": "mojo",
    "name": "Mojo",
    "import": () => import('./langs/mojo.js')
  },
  {
    "id": "move",
    "name": "Move",
    "import": () => import('./langs/move.js')
  },
  {
    "id": "narrat",
    "name": "Narrat Language",
    "aliases": [
      "nar"
    ],
    "import": () => import('./langs/narrat.js')
  },
  {
    "id": "nextflow",
    "name": "Nextflow",
    "aliases": [
      "nf"
    ],
    "import": () => import('./langs/nextflow.js')
  },
  {
    "id": "nginx",
    "name": "Nginx",
    "import": () => import('./langs/nginx.js')
  },
  {
    "id": "nim",
    "name": "Nim",
    "import": () => import('./langs/nim.js')
  },
  {
    "id": "nix",
    "name": "Nix",
    "import": () => import('./langs/nix.js')
  },
  {
    "id": "nushell",
    "name": "nushell",
    "aliases": [
      "nu"
    ],
    "import": () => import('./langs/nushell.js')
  },
  {
    "id": "objective-c",
    "name": "Objective-C",
    "aliases": [
      "objc"
    ],
    "import": () => import('./langs/objective-c.js')
  },
  {
    "id": "objective-cpp",
    "name": "Objective-C++",
    "import": () => import('./langs/objective-cpp.js')
  },
  {
    "id": "ocaml",
    "name": "OCaml",
    "import": () => import('./langs/ocaml.js')
  },
  {
    "id": "pascal",
    "name": "Pascal",
    "import": () => import('./langs/pascal.js')
  },
  {
    "id": "perl",
    "name": "Perl",
    "import": () => import('./langs/perl.js')
  },
  {
    "id": "php",
    "name": "PHP",
    "import": () => import('./langs/php.js')
  },
  {
    "id": "plsql",
    "name": "PL/SQL",
    "import": () => import('./langs/plsql.js')
  },
  {
    "id": "po",
    "name": "Gettext PO",
    "aliases": [
      "pot",
      "potx"
    ],
    "import": () => import('./langs/po.js')
  },
  {
    "id": "postcss",
    "name": "PostCSS",
    "import": () => import('./langs/postcss.js')
  },
  {
    "id": "powerquery",
    "name": "PowerQuery",
    "import": () => import('./langs/powerquery.js')
  },
  {
    "id": "powershell",
    "name": "PowerShell",
    "aliases": [
      "ps",
      "ps1"
    ],
    "import": () => import('./langs/powershell.js')
  },
  {
    "id": "prisma",
    "name": "Prisma",
    "import": () => import('./langs/prisma.js')
  },
  {
    "id": "prolog",
    "name": "Prolog",
    "import": () => import('./langs/prolog.js')
  },
  {
    "id": "proto",
    "name": "Protocol Buffer 3",
    "aliases": [
      "protobuf"
    ],
    "import": () => import('./langs/proto.js')
  },
  {
    "id": "pug",
    "name": "Pug",
    "aliases": [
      "jade"
    ],
    "import": () => import('./langs/pug.js')
  },
  {
    "id": "puppet",
    "name": "Puppet",
    "import": () => import('./langs/puppet.js')
  },
  {
    "id": "purescript",
    "name": "PureScript",
    "import": () => import('./langs/purescript.js')
  },
  {
    "id": "python",
    "name": "Python",
    "aliases": [
      "py"
    ],
    "import": () => import('./langs/python.js')
  },
  {
    "id": "qml",
    "name": "QML",
    "import": () => import('./langs/qml.js')
  },
  {
    "id": "qmldir",
    "name": "QML Directory",
    "import": () => import('./langs/qmldir.js')
  },
  {
    "id": "qss",
    "name": "Qt Style Sheets",
    "import": () => import('./langs/qss.js')
  },
  {
    "id": "r",
    "name": "R",
    "import": () => import('./langs/r.js')
  },
  {
    "id": "racket",
    "name": "Racket",
    "import": () => import('./langs/racket.js')
  },
  {
    "id": "raku",
    "name": "Raku",
    "aliases": [
      "perl6"
    ],
    "import": () => import('./langs/raku.js')
  },
  {
    "id": "razor",
    "name": "ASP.NET Razor",
    "import": () => import('./langs/razor.js')
  },
  {
    "id": "reg",
    "name": "Windows Registry Script",
    "import": () => import('./langs/reg.js')
  },
  {
    "id": "regexp",
    "name": "RegExp",
    "aliases": [
      "regex"
    ],
    "import": () => import('./langs/regexp.js')
  },
  {
    "id": "rel",
    "name": "Rel",
    "import": () => import('./langs/rel.js')
  },
  {
    "id": "riscv",
    "name": "RISC-V",
    "import": () => import('./langs/riscv.js')
  },
  {
    "id": "rst",
    "name": "reStructuredText",
    "import": () => import('./langs/rst.js')
  },
  {
    "id": "ruby",
    "name": "Ruby",
    "aliases": [
      "rb"
    ],
    "import": () => import('./langs/ruby.js')
  },
  {
    "id": "rust",
    "name": "Rust",
    "aliases": [
      "rs"
    ],
    "import": () => import('./langs/rust.js')
  },
  {
    "id": "sas",
    "name": "SAS",
    "import": () => import('./langs/sas.js')
  },
  {
    "id": "sass",
    "name": "Sass",
    "import": () => import('./langs/sass.js')
  },
  {
    "id": "scala",
    "name": "Scala",
    "import": () => import('./langs/scala.js')
  },
  {
    "id": "scheme",
    "name": "Scheme",
    "import": () => import('./langs/scheme.js')
  },
  {
    "id": "scss",
    "name": "SCSS",
    "import": () => import('./langs/scss.js')
  },
  {
    "id": "shaderlab",
    "name": "ShaderLab",
    "aliases": [
      "shader"
    ],
    "import": () => import('./langs/shaderlab.js')
  },
  {
    "id": "shellscript",
    "name": "Shell",
    "aliases": [
      "bash",
      "sh",
      "shell",
      "zsh"
    ],
    "import": () => import('./langs/shellscript.js')
  },
  {
    "id": "shellsession",
    "name": "Shell Session",
    "aliases": [
      "console"
    ],
    "import": () => import('./langs/shellsession.js')
  },
  {
    "id": "smalltalk",
    "name": "Smalltalk",
    "import": () => import('./langs/smalltalk.js')
  },
  {
    "id": "solidity",
    "name": "Solidity",
    "import": () => import('./langs/solidity.js')
  },
  {
    "id": "soy",
    "name": "Closure Templates",
    "aliases": [
      "closure-templates"
    ],
    "import": () => import('./langs/soy.js')
  },
  {
    "id": "sparql",
    "name": "SPARQL",
    "import": () => import('./langs/sparql.js')
  },
  {
    "id": "splunk",
    "name": "Splunk Query Language",
    "aliases": [
      "spl"
    ],
    "import": () => import('./langs/splunk.js')
  },
  {
    "id": "sql",
    "name": "SQL",
    "import": () => import('./langs/sql.js')
  },
  {
    "id": "ssh-config",
    "name": "SSH Config",
    "import": () => import('./langs/ssh-config.js')
  },
  {
    "id": "stata",
    "name": "Stata",
    "import": () => import('./langs/stata.js')
  },
  {
    "id": "stylus",
    "name": "Stylus",
    "aliases": [
      "styl"
    ],
    "import": () => import('./langs/stylus.js')
  },
  {
    "id": "svelte",
    "name": "Svelte",
    "import": () => import('./langs/svelte.js')
  },
  {
    "id": "swift",
    "name": "Swift",
    "import": () => import('./langs/swift.js')
  },
  {
    "id": "system-verilog",
    "name": "SystemVerilog",
    "import": () => import('./langs/system-verilog.js')
  },
  {
    "id": "systemd",
    "name": "Systemd Units",
    "import": () => import('./langs/systemd.js')
  },
  {
    "id": "tasl",
    "name": "Tasl",
    "import": () => import('./langs/tasl.js')
  },
  {
    "id": "tcl",
    "name": "Tcl",
    "import": () => import('./langs/tcl.js')
  },
  {
    "id": "templ",
    "name": "Templ",
    "import": () => import('./langs/templ.js')
  },
  {
    "id": "terraform",
    "name": "Terraform",
    "aliases": [
      "tf",
      "tfvars"
    ],
    "import": () => import('./langs/terraform.js')
  },
  {
    "id": "tex",
    "name": "TeX",
    "import": () => import('./langs/tex.js')
  },
  {
    "id": "toml",
    "name": "TOML",
    "import": () => import('./langs/toml.js')
  },
  {
    "id": "ts-tags",
    "name": "TypeScript with Tags",
    "aliases": [
      "lit"
    ],
    "import": () => import('./langs/ts-tags.js')
  },
  {
    "id": "tsv",
    "name": "TSV",
    "import": () => import('./langs/tsv.js')
  },
  {
    "id": "tsx",
    "name": "TSX",
    "import": () => import('./langs/tsx.js')
  },
  {
    "id": "turtle",
    "name": "Turtle",
    "import": () => import('./langs/turtle.js')
  },
  {
    "id": "twig",
    "name": "Twig",
    "import": () => import('./langs/twig.js')
  },
  {
    "id": "typescript",
    "name": "TypeScript",
    "aliases": [
      "ts"
    ],
    "import": () => import('./langs/typescript.js')
  },
  {
    "id": "typespec",
    "name": "TypeSpec",
    "aliases": [
      "tsp"
    ],
    "import": () => import('./langs/typespec.js')
  },
  {
    "id": "typst",
    "name": "Typst",
    "aliases": [
      "typ"
    ],
    "import": () => import('./langs/typst.js')
  },
  {
    "id": "v",
    "name": "V",
    "import": () => import('./langs/v.js')
  },
  {
    "id": "vala",
    "name": "Vala",
    "import": () => import('./langs/vala.js')
  },
  {
    "id": "vb",
    "name": "Visual Basic",
    "aliases": [
      "cmd"
    ],
    "import": () => import('./langs/vb.js')
  },
  {
    "id": "verilog",
    "name": "Verilog",
    "import": () => import('./langs/verilog.js')
  },
  {
    "id": "vhdl",
    "name": "VHDL",
    "import": () => import('./langs/vhdl.js')
  },
  {
    "id": "viml",
    "name": "Vim Script",
    "aliases": [
      "vim",
      "vimscript"
    ],
    "import": () => import('./langs/viml.js')
  },
  {
    "id": "vue",
    "name": "Vue",
    "import": () => import('./langs/vue.js')
  },
  {
    "id": "vue-html",
    "name": "Vue HTML",
    "import": () => import('./langs/vue-html.js')
  },
  {
    "id": "vyper",
    "name": "Vyper",
    "aliases": [
      "vy"
    ],
    "import": () => import('./langs/vyper.js')
  },
  {
    "id": "wasm",
    "name": "WebAssembly",
    "import": () => import('./langs/wasm.js')
  },
  {
    "id": "wenyan",
    "name": "Wenyan",
    "aliases": [
      "\u6587\u8A00"
    ],
    "import": () => import('./langs/wenyan.js')
  },
  {
    "id": "wgsl",
    "name": "WGSL",
    "import": () => import('./langs/wgsl.js')
  },
  {
    "id": "wikitext",
    "name": "Wikitext",
    "aliases": [
      "mediawiki",
      "wiki"
    ],
    "import": () => import('./langs/wikitext.js')
  },
  {
    "id": "wolfram",
    "name": "Wolfram",
    "aliases": [
      "wl"
    ],
    "import": () => import('./langs/wolfram.js')
  },
  {
    "id": "xml",
    "name": "XML",
    "import": () => import('./langs/xml.js')
  },
  {
    "id": "xsl",
    "name": "XSL",
    "import": () => import('./langs/xsl.js')
  },
  {
    "id": "yaml",
    "name": "YAML",
    "aliases": [
      "yml"
    ],
    "import": () => import('./langs/yaml.js')
  },
  {
    "id": "zenscript",
    "name": "ZenScript",
    "import": () => import('./langs/zenscript.js')
  },
  {
    "id": "zig",
    "name": "Zig",
    "import": () => import('./langs/zig.js')
  }
];
const bundledLanguagesBase = Object.fromEntries(bundledLanguagesInfo.map((i) => [i.id, i.import]));
const bundledLanguagesAlias = Object.fromEntries(bundledLanguagesInfo.flatMap((i) => {
  var _a;
  return ((_a = i.aliases) == null ? void 0 : _a.map((a) => [a, i.import])) || [];
}));
const bundledLanguages = __spreadValues(__spreadValues({}, bundledLanguagesBase), bundledLanguagesAlias);

exports.bundledLanguages = bundledLanguages;
exports.bundledLanguagesAlias = bundledLanguagesAlias;
exports.bundledLanguagesBase = bundledLanguagesBase;
exports.bundledLanguagesInfo = bundledLanguagesInfo;
//# sourceMappingURL=langs-bundle-full.js.map
